> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1viewerschedule



## OpenAPI

````yaml https://saas.pads365.com/rdx/NDS.Services.Viewer//swagger/v1/swagger.json post /api/v1/Viewer/Schedule
openapi: 3.0.0
info:
  title: NDS.Services.Viewer
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/NDS.Services.Viewer/
security: []
paths:
  /api/v1/Viewer/Schedule:
    post:
      tags:
        - Schedule
      operationId: Schedule_GetSchedules
      requestBody:
        x-name: getSchedulesRequest
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetSchedulesRequest'
        required: true
        x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetSchedulesResult'
components:
  schemas:
    GetSchedulesRequest:
      type: object
      additionalProperties: false
      properties:
        Filter:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/FilterData2'
        Sorting:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/SortData2'
        Paging:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/PagingData2'
    GetSchedulesResult:
      allOf:
        - $ref: '#/components/schemas/Result'
        - type: object
          additionalProperties: false
          properties:
            Schedules:
              type: array
              nullable: true
              items:
                $ref: '#/components/schemas/Schedule'
            TotalItems:
              type: integer
              format: int64
    FilterData2:
      type: object
      additionalProperties: false
      properties:
        SearchString:
          type: string
          nullable: true
        Destinations:
          type: array
          nullable: true
          items:
            type: string
            format: guid
        ScheduleIds:
          type: array
          nullable: true
          items:
            type: string
            format: guid
        StartTime:
          type: string
          format: date-time
          nullable: true
        EndTime:
          type: string
          format: date-time
          nullable: true
        ScheduleTypeFilter:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/ScheduleType'
    SortData2:
      type: object
      additionalProperties: false
      properties:
        SortBy:
          $ref: '#/components/schemas/SortOptions2'
        Descending:
          type: boolean
    PagingData2:
      type: object
      additionalProperties: false
      properties:
        Start:
          type: integer
          format: int32
          nullable: true
        Items:
          type: integer
          format: int32
          nullable: true
    Result:
      allOf:
        - $ref: '#/components/schemas/BaseResult'
        - type: object
          additionalProperties: false
          properties:
            Code:
              type: string
              nullable: true
    Schedule:
      type: object
      additionalProperties: false
      properties:
        Id:
          type: string
          format: guid
        ContentId:
          type: string
          format: guid
        DestinationId:
          type: string
          format: guid
        PeriodId:
          type: string
          format: guid
        PriorityId:
          type: string
          format: guid
        Priority:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/Priority'
        Destination:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/Destination'
        Name:
          type: string
          nullable: true
        StartDate:
          type: string
          format: date-time
        EndDate:
          type: string
          format: date-time
          nullable: true
        OccurenceCount:
          type: integer
          format: int32
          nullable: true
        Occurrence:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/Occurrence'
        Days:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/Days'
        InternalInterval:
          type: integer
          format: int32
          nullable: true
        InternalNumber:
          type: integer
          format: int32
          nullable: true
        InternalPattern:
          type: integer
          format: int32
          nullable: true
        Presentations:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/Presentation'
        IsMessage:
          type: boolean
        Weight:
          type: integer
          format: int32
          nullable: true
        MergeMode:
          type: boolean
          nullable: true
    ScheduleType:
      type: integer
      description: ''
      x-enumNames:
        - Schedules
        - Messages
      enum:
        - 0
        - 1
    SortOptions2:
      type: integer
      description: ''
      x-enumNames:
        - StartDate
        - EndDate
        - Name
        - Priority
        - Destination
      enum:
        - 0
        - 1
        - 2
        - 3
        - 4
    BaseResult:
      type: object
      additionalProperties: false
      properties:
        Succeeded:
          type: boolean
        Message:
          type: string
          nullable: true
    Priority:
      type: object
      additionalProperties: false
      properties:
        Id:
          type: string
          format: guid
        Name:
          type: string
          nullable: true
        Color:
          type: string
          nullable: true
        CanSchedule:
          type: boolean
        Order:
          type: integer
          format: int32
        IsDefault:
          type: boolean
    Destination:
      type: object
      additionalProperties: false
      properties:
        Id:
          type: string
          format: guid
        Name:
          type: string
          nullable: true
    Occurrence:
      type: object
      additionalProperties: false
      properties:
        StartTime:
          type: string
          format: duration
        EndTime:
          type: string
          format: duration
          nullable: true
        RecurrenceType:
          $ref: '#/components/schemas/RecurrenceType'
        Interval:
          type: string
          format: duration
          nullable: true
        Duration:
          type: string
          format: duration
          nullable: true
        RecurrenceExceptions:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/RecurrenceException'
    Days:
      type: object
      additionalProperties: false
      properties:
        Monday:
          type: boolean
        Tuesday:
          type: boolean
        Wednesday:
          type: boolean
        Thursday:
          type: boolean
        Friday:
          type: boolean
        Saturday:
          type: boolean
        Sunday:
          type: boolean
    Presentation:
      type: object
      additionalProperties: false
      properties:
        FileName:
          type: string
          nullable: true
        Name:
          type: string
          nullable: true
        Data:
          type: string
          format: byte
          nullable: true
    RecurrenceType:
      type: string
      description: ''
      x-enumNames:
        - Daily
        - DailyWorkDays
        - Weekly
        - Monthly
        - MonthlyRelative
        - Yearly
        - YearlyRelative
      enum:
        - Daily
        - DailyWorkDays
        - Weekly
        - Monthly
        - MonthlyRelative
        - Yearly
        - YearlyRelative
    RecurrenceException:
      type: object
      additionalProperties: false
      properties:
        Id:
          type: string
          format: guid
          nullable: true
        PeriodId:
          type: string
          format: guid
        OldStartDateTime:
          type: string
          format: date-time
        NewStartDateTime:
          type: string
          format: date-time
          nullable: true
        NewEndDateTime:
          type: string
          format: date-time
          nullable: true

````